## org.eclipse.emf.validation.service
Class ConstraintExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.emf.validation.service.ConstraintExistsException

All Implemented Interfaces:
  Serializable

    public class ConstraintExistsException

extends Exception

Constraint thrown to indicate that a constraint descriptor cannot be `registered` because a constraint is already registered under the same ID.

This class is not intended to be extended or instantiated by clients.

See Also:
  Serialized Form

Constructor Summary
`ConstraintExistsException(String s)` Initializes me with a message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstraintExistsException

    public ConstraintExistsException(String s)

  Initializes me with a message.

  Parameters:
    `s` - my message

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.